package atomfeed

import (
	"encoding/xml"
	"errors"
)

type ExtensionElement struct {
	Value   any `xml:",innerxml"`
	XMLName xml.Name
}

func (e *ExtensionElement) Check() error {
	if e.Value == nil {
		return errors.New("value element of extension element empty")
	}

	return nil
}
